Subject: RE: repository for switch hardware info

From: "Mathieu Olivari" <[email-masked]>
Date: Mon, 2 Mar 2015 11:05:28 -0800

Here is what's available publically for QCA devices.

AR8xxx/QCA8xxx (Ethernet xMII/MDIO based hardware switch widely deployed in home gateways):
- open source vendor SDK is available here: https://www.codeaurora.org/cgit/quic/qsdk/oss/lklm/qca-ssdk/ (configuration command can be found in https://www.codeaurora.org/cgit/quic/qsdk/oss/ssdk-shell/) 
- same devices (AR8xxx/QCA8xxx) are also supported by OpenWrt using a swconfig based driver: http://git.openwrt.org/?p=openwrt.git;a=tree;f=target/linux/generic/files/drivers/net/phy;h=ceb9d8c46e7ffb936e3e56dcf77a0253fa5b3468;hb=HEAD (files ar8216.c & ar8327.c)

IPQ806x (NPU we talked about during netdev01):
- code is available here: https://www.codeaurora.org/cgit/quic/qsdk/
Driver is split between oss/lklm/nss-drv, oss/lklm/nss-gmac and oss/lklm/qca-nss-ecm.

Both hardware can easily be found in home routers on the market today.

Thanks,
Mathieu

---------- Forwarded message ----------
From: David Miller <[email-masked]>
Date: 2015-02-22 13:03 GMT-08:00
Subject: repository for switch hardware info
To: [email-masked]

There are various vendor switch SDKs (some opensource, some not),
vendor switch hardware specification documents, etc. scattered all
over the place.

I was about to start doing my own research trying to find all of this
crap, but what a complete waste of time that's going to be if other
developers embark upon the same task starting from scratch just as I
would.

Therefore I'd like people to reply to this email if they know of the
location of such resources.  Just give me the URL and I'll maintain
it all on a public web page somewhere anyone can refer to or send me
updates for.

Thanks!